Utilities | Arrays | Imaging | Shaders | POGL | GLUT | OpenGL | GLU |

POGL Utility APIs

These APIs, constants and global values are Perl utilities to provide POGL support, such as querying installation features.

Google Bookmarks Google
Stumble Upon It! Stumbled on It!
del.icio.us del.icio.us

    The CPAN version number.

$XS_VERSION - requires 0.55_01 or newer

    The POGL module version, in the form of MAJ.MIN_REL


    The version of your OpenGL installation.


    A Perl hashref containing OpenGL extension dependencies.


    A Perl hashref of extensions supported by tour OpenGL installation.

my $stat = OpenGL::glpCheckExtension(@ext)

    Returns an empty string if all @ext extensions are installed and supported by POGL; otherwise returns a status string.